# pylint: disable=too-few-public-methods
import os
import pathlib

class LoggingConfig:
    _level = os.environ.get("SKYEWEAVE_STDOUT_LEVEL", "info")
    LEVEL = int(_level) if _level.isdigit() else _level.upper()
    NAME = "skyeweave"

class PathConfig:
    _root = pathlib.Path(__file__).parents[1]
    IMAGES = _root / ".temp"
    OUTPUT = pathlib.Path.cwd() / "output"

class ExpressionDefaults:
    FACESIZE = 256
    SHEETSIZE = 1024

class AtlasAPIConfig:
    REGION = "JP"
    TIMEOUT = 10
    MST_SVT_JSON = "https://git.atlasacademy.io/atlasacademy/fgo-game-data/raw/branch/JP/master/mstSvtScript.json"
