
import logging
import sys
from ..config import LoggingConfig
from .disables import disable_tqdm

def init_logger():
    if LoggingConfig.LEVEL == "DEBUG":
        disable_tqdm()

    logger = logging.getLogger(LoggingConfig.NAME)
    logger.setLevel(LoggingConfig.LEVEL)
    handler = logging.StreamHandler(stream=sys.stdout)
    formatter = logging.Formatter('[%(levelname)s] [%(name)s] %(message)s')
    handler.setFormatter(formatter)
    logger.addHandler(handler)

    return logger
